--- title: "_umbra_map_options_t Struct Reference" layout: default permalink: /struct__umbra__map__options__t.html ---

Dr. Memory

Data Fields
_umbra_map_options_t Struct Reference

`#include <umbra.h>`

## Data Fields
size_t | struct_size
umbra_map_scale_t | scale
umbra_map_flags_t | flags
ptr_uint_t | default_value
size_t | default_value_size
app_memory_create_cb_t | app_memory_create_cb
app_memory_pre_delete_cb_t | app_memory_pre_delete_cb
app_memory_post_delete_cb_t | app_memory_post_delete_cb
app_memory_mremap_cb_t | app_memory_mremap_cb

## Detailed Description

Specifies parameters controlling the behavior of umbra_create_map().

## Field Documentation

## ◆ app_memory_create_cb

app_memory_create_cb_t _umbra_map_options_t::app_memory_create_cb

Application memory creation callback.

## ◆ app_memory_mremap_cb

app_memory_mremap_cb_t _umbra_map_options_t::app_memory_mremap_cb

Application memory re-map callback.

## ◆ app_memory_post_delete_cb

app_memory_post_delete_cb_t _umbra_map_options_t::app_memory_post_delete_cb

Application memory post deletion callback.

## ◆ app_memory_pre_delete_cb

app_memory_pre_delete_cb_t _umbra_map_options_t::app_memory_pre_delete_cb

Application memory pre deletion callback.

## ◆ default_value

ptr_uint_t _umbra_map_options_t::default_value

Specify the value of shadow memory that is allocated but not initialized by the user; e.g., shadow memory padding or automatically allocated shadow memory when UMBRA_MAP_CREATE_SHADOW_ON_TOUCH (see umbra_map_flags_t) is set.

## ◆ default_value_size

size_t _umbra_map_options_t::default_value_size

Specify the size of the default value, which could be 1, 2, 4 or 8 (x64). We only support byte size (i.e., 1) now.

## ◆ flags

umbra_map_flags_t _umbra_map_options_t::flags

For fine-grained control.

## ◆ scale

umbra_map_scale_t _umbra_map_options_t::scale

For shadow mapping scaling.

## ◆ struct_size

size_t _umbra_map_options_t::struct_size

For compatibility. Set to sizeof(umbra_map_options_t).

The documentation for this struct was generated from the following file:

- umbra.h